=== debian/changelog ===
ros-melodic-pilz-industrial-motion-testutils (0.6.0-1bionic) bionic; urgency=high

  * Move to new repo pilz_common
  * Generalize integration_test_utils.py to break cyclic dependency
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.11-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.10-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.9-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.8-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.7-1bionic) bionic; urgency=high

  * Fix clang-tidy issues
  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.5-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.4-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.3-1bionic) bionic; urgency=high

  * update package dependencies
  * Add missing intialization
  * Add getter for CircJointInterimCart in XMLTestdataLoader

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.2-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.1-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.0-1bionic) bionic; urgency=high

  * Use Eigen::Isometry3d to keep up with the recent changes in moveit
  * Contributors: Chris Lalancette

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.5-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.4-1bionic) bionic; urgency=high

  * Add high level abstraction data classes to represent configuration of robot
  * Add high level abstraction data classes to represent different command types
  * Add functions to TestdataLoader returning the high level abstraction classes

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.1-1bionic) bionic; urgency=high

  * Add RobotMotionObserver in testutils
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.0-1bionic) bionic; urgency=high

  * rename get_current_joint_values -> get_current_joint_states

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.2.2-1bionic) bionic; urgency=high

  * fix missing dependency for melodic
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 25 Sep 2018 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.2.1-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.2.0-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.1.1-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.1.0-1bionic) bionic; urgency=high

  * xml test data loader.
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000
